1.0

1.0

put /v1/dashboards/{dashboard_id}

Description

Set dashboard

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020260630

Parameters

TypeNameDescriptionSchemaDefault
pathdashboard_id
required
Dashboard’s unique ID
Example : b48e730a70e74f6aa3d2555000b5c22b
stringNone
bodybody
required

DashboardUpdateRequest

Responses

HTTP CodeDescriptionSchema
200OKDashboardDetailResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/dashboards/{dashboard_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = servicewatch 1.0"

Request body

{
    "name": "Renamed-Dashboard",
    "widgets": [
        {
            "height": 1,
            "order": 1,
            "properties": {
                "metrics": [
                    {
                        "color": "#ff7f0e",
                        "dimensions": [
                            {
                                "key": "InstanceId",
                                "value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
                            }
                        ],
                        "display_name": "EC2-Prod-CPU",
                        "individual_items": [
                            {
                                "key": "BucketId",
                                "value": "b-1234567890abcdef0"
                            }
                        ],
                        "name": "CPUUtilization",
                        "namespace_name": "Virtual Server",
                        "period": 300,
                        "statistic_type": "AVG"
                    }
                ],
                "period": 300,
                "stacked": false,
                "statistic_type": "AVG",
                "title": "Virtual Server | CPU Utilization",
                "view": "line"
            },
            "type": "metric",
            "width": 1
        }
    ]
}

Example HTTP response

Response 200

{
    "alerts": {
        "summary": {
            "high": 1,
            "low": 0,
            "medium": 3
        },
        "widgets": [
            {
                "properties": {
                    "metrics": [
                        {
                            "alerts": [
                                {
                                    "id": "",
                                    "name": ""
                                }
                            ],
                            "color": "#ff7f0e",
                            "dimensions": [
                                {
                                    "key": "InstanceId",
                                    "value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
                                }
                            ],
                            "display_name": "EC2-Prod-CPU",
                            "individual_items": [
                                {
                                    "key": "BucketId",
                                    "value": "b-1234567890abcdef0"
                                }
                            ],
                            "name": "CPUUtilization",
                            "namespace_name": "Virtual Server",
                            "period": 300,
                            "statistic_type": "AVG"
                        }
                    ],
                    "period": 300,
                    "stacked": false,
                    "statistic_type": "AVG",
                    "title": "Virtual Server | CPU Utilization",
                    "view": "line"
                }
            }
        ]
    },
    "created_at": "2026-02-11T06:44:14.512Z",
    "created_by": "user-xxxxxxxx",
    "favorite_enabled": true,
    "id": "b48e730a70e74f6aa3d2555000b5c22b",
    "modified_at": "",
    "modified_by": "user-yyyyyyyy",
    "name": "Production-Web-Servers",
    "product_name": "ServiceWatch",
    "resource_id": "c8e41e595ad040a8abe57e2ffc109113",
    "resource_name": "Production-Web-Servers",
    "resource_type": "dashboard",
    "share_type": "Private",
    "srn": "srn:vs:kr-central-1:123456789012:instance/c8e41e595ad040a8abe57e2ffc109113",
    "type": "Custom",
    "widgets": [
        {
            "dashboard_id": "b48e730a70e74f6aa3d2555000b5c22b",
            "height": 1,
            "id": "75da70a1a4fb486ab0282cf90693ec3c",
            "order": 1,
            "properties": {
                "metrics": [
                    {
                        "color": "#ff7f0e",
                        "dimensions": [
                            {
                                "key": "InstanceId",
                                "value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
                            }
                        ],
                        "display_name": "EC2-Prod-CPU",
                        "individual_items": [
                            {
                                "key": "BucketId",
                                "value": "b-1234567890abcdef0"
                            }
                        ],
                        "name": "CPUUtilization",
                        "namespace_name": "Virtual Server",
                        "period": 300,
                        "statistic_type": "AVG"
                    }
                ],
                "period": 300,
                "stacked": false,
                "statistic_type": "AVG",
                "title": "Virtual Server | CPU Utilization",
                "view": "line"
            },
            "type": "metric",
            "width": 1
        }
    ]
}